// Class ObstCourseEditor
//
// Author: Alyce Brady
//
// License Information:
//   This class is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation.
//
//   This class is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

import edu.kzoo.grid.gui.GridAppFrame;
import edu.kzoo.grid.gui.GridEditor;

/**
 *  Obstacle Course Program:<br>
 *
 *  The <code>ObstCourseEditor</code> class provides a window in which
 *  to add racers to the obstacle course.
 *
 *  @author Alyce Brady
 *  @version 29 February 2004
 **/
public class ObstCourseEditor extends GridEditor
{
  // constructor

    /** Constructs an empty ObstCourseEditor window.
     *    @param frame  the frame that invoked this grid editor
     **/
    public ObstCourseEditor(GridAppFrame frame)
    {
        super(frame);

        // Tool tips should show object info, not just location.
        constructWindowContents();
        getDisplay().makeToolTipsReportObject();
    }

}


